Skip to main content
`Ctrl`+`K`
scipy.sparse.dok_matrix.

# resize

dok_matrix.resize(*shape)

  Resize the array/matrix in-place to dimensions given by `shape`

  Any elements that lie within the new shape will remain at the same indices, while non-zero elements lying outside the new shape are removed.

  Parameters:
    shape(int, int)

      number of rows and columns in the new array/matrix

  Notes

  The semantics are not identical to `numpy.ndarray.resize` or `numpy.resize`. Here, the same data will be maintained at each index before and after reshape, if that index is within the new bounds. In numpy, resizing maintains contiguity of the array, moving elements around in the logical array but not within a flattened representation.

  We give no guarantees about whether the underlying data attributes (arrays, etc.) will be modified in place or replaced with new objects.